﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace TestDashLine
{
    public class DQLine : Steema.TeeChart.Styles.Line
    {

        private Steema.TeeChart.Drawing.Graphics3D g;
        public System.Collections.ArrayList penStyles;

        public DQLine() : this(null) { }
        public DQLine(Steema.TeeChart.Chart c)
            : base(c)
        {
            g = c.Graphics3D;
            penStyles = new System.Collections.ArrayList();
        }


        protected override void Draw()
        {
            base.Draw();
        }

        public int Add(double x, double y, System.Drawing.Drawing2D.DashStyle ds, string text, Color color)
        {
            penStyles.Add(ds);
            return Add(x, y, text, color); ;
        }

        public int Add(double x, double y, System.Drawing.Drawing2D.DashStyle ds)
        {
            return Add(x, y, ds, String.Empty, Color.Red);
        }
        //public int Add(DateTime dt, double y, Color color, System.Drawing.Drawing2D.DashStyle ds)
        //{
        //    penStyles.Add(ds);
        //    return Add(dt, y, color, ds);
        //}

        public override void DrawValue(int valueIndex)
        {
            
            g.Pen.Style = (System.Drawing.Drawing2D.DashStyle)penStyles[valueIndex];
            this.LinePen.Style = g.Pen.Style;
            base.DrawValue(valueIndex);
            
        }

    }
}
